Subject: Re: [PATCH] doc: add that '-' is the same as '@{-1}'

From: ryicoh <[email-masked]>
Date: Sun, 2 Apr 2023 00:53:42 +0900

Hi Oswald, Junio and Phillip.

Thank you for your reviews. Let me reply to each comments.

> i'd recommend quoting the dash as you do in the summary (or adding some markup?), as otherwise it's way too easy to misread.

That's good. I'll fix it.

> It is certainly *not* synonymous in general and I
> doubt we want to make it to.

That's correct. Your examples helped me understand.

> A few commands (checkout, merge, rebase and switch spring to mind) accept '-' as a shorthand for '@{-1}' but I don't think it is universally accepted.

That's correct too.

> for now we should
> update its documentation to mention "- can also be used in place of
> @{-1}".

Finally, How should I update the documentation? How about following changes?

- You may also specify `-` which is synonymous to `@{-1}`.
+ Only some commands (checkout, switch, etc,), you may also specify `-` which is synonymous to `@{-1}`.

Other commands also seem to accept '-', such as `cherry-pick`.
It's not good idea to write all commands that accepted it.

Best Wishes